--- old/usr/src/pkg/manifests/service-storage-fibre-channel-fc-fabric.mf	2014-04-11 13:24:12.532404505 +0100
+++ new/usr/src/pkg/manifests/service-storage-fibre-channel-fc-fabric.mf	2014-04-11 13:24:12.541136829 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -40,11 +41,11 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/cfgadm
-dir path=usr/lib/cfgadm/$(ARCH64)
+$(BUILD64)dir path=usr/lib/cfgadm/$(ARCH64)
 file path=lib/svc/manifest/system/device/devices-fc-fabric.xml group=sys \
     mode=0444 variant.opensolaris.zone=global
 file path=lib/svc/method/fc-fabric mode=0555 variant.opensolaris.zone=global
-file path=usr/lib/cfgadm/$(ARCH64)/fp.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/fp.so.1
 file path=usr/lib/cfgadm/fp.so.1
 legacy pkg=SUNWcfpl desc="Provides the fp plug-in library of libcfgadm." \
     name="fp cfgadm plug-in library"
@@ -53,6 +54,6 @@
     name="fp cfgadm plug-in library (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/cfgadm/$(ARCH64)/fp.so target=fp.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/fp.so target=fp.so.1
 link path=usr/lib/cfgadm/fp.so target=fp.so.1
 depend fmri=system/storage/luxadm type=require
--- old/usr/src/pkg/manifests/service-storage-ndmp.mf	2014-04-11 13:24:12.730923332 +0100
+++ new/usr/src/pkg/manifests/service-storage-ndmp.mf	2014-04-11 13:24:12.737743107 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -44,7 +45,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/ndmp
 dir path=usr/sbin
 dir path=usr/share/man
@@ -53,8 +54,8 @@
 file path=lib/svc/manifest/system/ndmp.xml group=sys mode=0444
 file path=lib/svc/method/svc-ndmp mode=0555
 file path=usr/include/libndmp.h
-file path=usr/lib/$(ARCH64)/libndmp.so.1
-file path=usr/lib/$(ARCH64)/llib-lndmp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libndmp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lndmp.ln
 file path=usr/lib/libndmp.so.1
 file path=usr/lib/llib-lndmp
 file path=usr/lib/llib-lndmp.ln
@@ -75,5 +76,5 @@
 license lic_OSBL license=lic_OSBL
 license lic_OSBL_preamble license=lic_OSBL_preamble
 license usr/src/cmd/ndmpd/LICENSE license=usr/src/cmd/ndmpd/LICENSE
-link path=usr/lib/$(ARCH64)/libndmp.so target=libndmp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libndmp.so target=libndmp.so.1
 link path=usr/lib/libndmp.so target=libndmp.so.1
--- old/usr/src/pkg/manifests/service-storage-removable-media.mf	2014-04-11 13:24:12.923238789 +0100
+++ new/usr/src/pkg/manifests/service-storage-removable-media.mf	2014-04-11 13:24:12.931238397 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/storage/removable-media@$(PKGVERS)
@@ -37,19 +38,19 @@
 dir path=lib/svc/manifest/network/rpc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/smedia
-dir path=usr/lib/smedia/$(ARCH64)
+$(BUILD64)dir path=usr/lib/smedia/$(ARCH64)
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/network/rpc/smserver.xml group=sys mode=0444
-file path=usr/lib/$(ARCH64)/libsmedia.so.1
-file path=usr/lib/$(ARCH64)/llib-lsmedia.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmedia.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsmedia.ln
 file path=usr/lib/libsmedia.so.1
 file path=usr/lib/llib-lsmedia
 file path=usr/lib/llib-lsmedia.ln
-file path=usr/lib/smedia/$(ARCH64)/sm_blkdev.so.1 mode=0555
-file path=usr/lib/smedia/$(ARCH64)/sm_fd.so.1 mode=0555
-file path=usr/lib/smedia/$(ARCH64)/sm_scsi.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_blkdev.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_fd.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_scsi.so.1 mode=0555
 file path=usr/lib/smedia/rpc.smserverd mode=0555
 file path=usr/lib/smedia/sm_blkdev.so.1 mode=0555
 file path=usr/lib/smedia/sm_fd.so.1 mode=0555
@@ -61,5 +62,5 @@
     name="Storage media management library (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libsmedia.so target=./libsmedia.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsmedia.so target=./libsmedia.so.1
 link path=usr/lib/libsmedia.so target=./libsmedia.so.1
--- old/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	2014-04-11 13:24:13.125523702 +0100
+++ new/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	2014-04-11 13:24:13.134816217 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -60,7 +61,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -81,7 +82,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/ii group=sys
 file path=usr/kernel/drv/ii.conf group=sys \
     original_name=SUNWii:usr/kernel/drv/ii.conf preserve=true
-file path=usr/lib/mdb/kvm/$(ARCH64)/ii.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ii.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/ii.so group=sys mode=0555
 file path=usr/share/man/man1m/iiadm.1m
 file path=usr/share/man/man1m/iicpbmp.1m
--- old/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	2014-04-11 13:24:13.325732539 +0100
+++ new/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	2014-04-11 13:24:13.334289346 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -62,7 +63,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -90,7 +91,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/rdcsrv group=sys
 $(i386_ONLY)file path=usr/kernel/drv/rdcstub group=sys
 file path=usr/lib/librdc.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/rdc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/rdc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/rdc.so group=sys mode=0555
 file path=usr/share/man/man1m/sndradm.1m
 file path=usr/share/man/man1m/sndrd.1m
--- old/usr/src/pkg/manifests/storage-library-network-array.mf	2014-04-11 13:24:13.519199536 +0100
+++ new/usr/src/pkg/manifests/storage-library-network-array.mf	2014-04-11 13:24:13.526303857 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -36,16 +37,16 @@
     value="org.opensolaris.category.2008:System/Enterprise Management"
 set name=variant.arch value=sparc
 dir path=lib
-dir path=lib/$(ARCH64)
-file path=lib/$(ARCH64)/liba5k.so.2
-file path=lib/$(ARCH64)/libg_fc.so.2
+$(BUILD64)dir path=lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/liba5k.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libg_fc.so.2
 file path=lib/liba5k.so.2
 file path=lib/libg_fc.so.2
 legacy pkg=SUNWluxopr desc="Sun Enterprise Network Array libraries" \
     name="Sun Enterprise Network Array libraries"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/liba5k.so target=liba5k.so.2
-link path=lib/$(ARCH64)/libg_fc.so target=libg_fc.so.2
+$(BUILD64)link path=lib/$(ARCH64)/liba5k.so target=liba5k.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libg_fc.so target=libg_fc.so.2
 link path=lib/liba5k.so target=liba5k.so.2
 link path=lib/libg_fc.so target=libg_fc.so.2
--- old/usr/src/pkg/manifests/storage-stmf.mf	2014-04-11 13:24:13.741255828 +0100
+++ new/usr/src/pkg/manifests/storage-stmf.mf	2014-04-11 13:24:13.748669861 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/storage/stmf@$(PKGVERS)
@@ -48,10 +49,10 @@
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -97,15 +98,15 @@
 file path=usr/include/sys/stmf.h
 file path=usr/include/sys/stmf_defines.h
 file path=usr/include/sys/stmf_ioctl.h
-file path=usr/lib/$(ARCH64)/libstmf.so.1
-file path=usr/lib/$(ARCH64)/libstmfproxy.so.1
-file path=usr/lib/$(ARCH64)/llib-lstmf.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libstmf.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libstmfproxy.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lstmf.ln
 file path=usr/lib/libstmf.so.1
 file path=usr/lib/libstmfproxy.so.1
 file path=usr/lib/llib-lstmf
 file path=usr/lib/llib-lstmf.ln
-file path=usr/lib/mdb/kvm/$(ARCH64)/stmf.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/stmf_sbd.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/stmf.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/stmf_sbd.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/stmf.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/stmf_sbd.so group=sys mode=0555
 file path=usr/sbin/sbdadm mode=0555
@@ -161,8 +162,8 @@
     name="Sun Common Multiprotocol SCSI Target Libraries and Tools"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libstmf.so target=libstmf.so.1
-link path=usr/lib/$(ARCH64)/libstmfproxy.so target=libstmfproxy.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libstmf.so target=libstmf.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libstmfproxy.so target=libstmfproxy.so.1
 link path=usr/lib/libstmf.so target=libstmf.so.1
 link path=usr/lib/libstmfproxy.so target=libstmfproxy.so.1
 link path=usr/share/man/man3stmf/stmfGetLuProp.3stmf \
--- old/usr/src/pkg/manifests/system-boot-wanboot-internal.mf	2014-04-11 13:24:13.935860539 +0100
+++ new/usr/src/pkg/manifests/system-boot-wanboot-internal.mf	2014-04-11 13:24:13.944869832 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/boot/wanboot/internal@$(PKGVERS)
@@ -41,8 +42,8 @@
 file path=usr/include/p12err.h
 file path=usr/include/parseURL.h
 file path=usr/include/wanboot_conf.h
-file path=usr/lib/$(ARCH64)/llib-lwanboot.ln
-file path=usr/lib/$(ARCH64)/llib-lwanbootutil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwanboot.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwanbootutil.ln
 file path=usr/lib/llib-lwanboot
 file path=usr/lib/llib-lwanboot.ln
 file path=usr/lib/llib-lwanbootutil
@@ -50,7 +51,8 @@
 legacy pkg=SUNWwbint desc="Solaris WAN boot internal" name="WAN boot internal"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libwanboot.so target=./libwanboot.so.1
-link path=usr/lib/$(ARCH64)/libwanbootutil.so target=./libwanbootutil.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwanboot.so target=./libwanboot.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwanbootutil.so \
+    target=./libwanbootutil.so.1
 link path=usr/lib/libwanboot.so target=./libwanboot.so.1
 link path=usr/lib/libwanbootutil.so target=./libwanbootutil.so.1
--- old/usr/src/pkg/manifests/system-boot-wanboot.mf	2014-04-11 13:24:14.141917977 +0100
+++ new/usr/src/pkg/manifests/system-boot-wanboot.mf	2014-04-11 13:24:14.152226975 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/boot/wanboot@$(PKGVERS)
@@ -36,8 +37,8 @@
 dir path=usr/lib/inet/wanboot
 dir path=usr/sbin
 dir path=usr/share/man/man1m
-file path=usr/lib/$(ARCH64)/libwanboot.so.1
-file path=usr/lib/$(ARCH64)/libwanbootutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwanboot.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwanbootutil.so.1
 file path=usr/lib/inet/wanboot/bootlog-cgi mode=0555
 file path=usr/lib/inet/wanboot/encr mode=0555
 file path=usr/lib/inet/wanboot/hmac mode=0555
--- old/usr/src/pkg/manifests/system-dtrace-tests.mf	2014-04-11 13:24:14.344441329 +0100
+++ new/usr/src/pkg/manifests/system-dtrace-tests.mf	2014-04-11 13:24:14.355274667 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012, 2014 by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/dtrace/tests@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=opt/SUNWdtrt group=sys
 dir path=opt/SUNWdtrt/bin
 dir path=opt/SUNWdtrt/bin/$(ARCH32)
-dir path=opt/SUNWdtrt/bin/$(ARCH64)
+$(BUILD64)dir path=opt/SUNWdtrt/bin/$(ARCH64)
 dir path=opt/SUNWdtrt/lib
 dir path=opt/SUNWdtrt/lib/java
 dir path=opt/SUNWdtrt/tst
@@ -129,7 +130,7 @@
 $(i386_ONLY)dir path=opt/SUNWdtrt/tst/i86xpv/xdt
 file path=opt/SUNWdtrt/README mode=0444
 file path=opt/SUNWdtrt/bin/$(ARCH32)/chkargs mode=0555
-file path=opt/SUNWdtrt/bin/$(ARCH64)/chkargs mode=0555
+$(BUILD64)file path=opt/SUNWdtrt/bin/$(ARCH64)/chkargs mode=0555
 file path=opt/SUNWdtrt/bin/baddof mode=0555
 file path=opt/SUNWdtrt/bin/badioctl mode=0555
 file path=opt/SUNWdtrt/bin/chkargs mode=0555
--- old/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.602278499 +0100
+++ new/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.609373928 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -57,7 +58,7 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/efcode
-dir path=usr/lib/efcode/$(ARCH64)
+$(BUILD64)dir path=usr/lib/efcode/$(ARCH64)
 dir path=usr/share/man/man1m
 driver name=fcode
 file path=etc/flash/postdeployment/efcode.cleanup group=sys mode=0744
@@ -70,16 +71,16 @@
 file path=lib/svc/manifest/platform/sun4v/efdaemon.xml group=sys mode=0444
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwo_cpu group=sys mode=0755
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwocfg group=sys mode=0755
-file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
-file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
-file path=usr/lib/efcode/$(ARCH64)/fcode.so
-file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
-file path=usr/lib/efcode/$(ARCH64)/fcthread.so
-file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
-file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcode.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcthread.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
 file path=usr/lib/efcode/efcode.sh mode=0555
 file path=usr/share/man/man1m/efdaemon.1m
 legacy pkg=SUNWefc.u arch=$(ARCH).sun4u \
@@ -95,14 +96,22 @@
     name="Embedded FCode Interpreter"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so target=lfc_gptwo.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so \
+    target=lfc_gptwo.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
     target=lfc_jupiter.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so \
+    target=lfc_upa_pci.so
--- old/usr/src/pkg/manifests/system-extended-system-utilities.mf	2014-04-11 13:24:14.797520848 +0100
+++ new/usr/src/pkg/manifests/system-extended-system-utilities.mf	2014-04-11 13:24:14.804526615 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/extended-system-utilities@$(PKGVERS)
@@ -33,18 +34,18 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/adb group=sys
-dir path=usr/lib/adb/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/adb/$(ARCH64) group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/pcfs group=sys
 dir path=usr/lib/spell
 dir path=usr/proc
 dir path=usr/proc/bin
 dir path=usr/sbin
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/dict
@@ -70,26 +71,26 @@
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/pwait mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/pwdx mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/sort mode=0555
-file path=usr/bin/$(ARCH64)/pargs mode=0555
-file path=usr/bin/$(ARCH64)/pcred mode=0555
-file path=usr/bin/$(ARCH64)/pfiles mode=0555
-file path=usr/bin/$(ARCH64)/pflags mode=0555
-file path=usr/bin/$(ARCH64)/pldd mode=0555
-file path=usr/bin/$(ARCH64)/plgrp mode=0555
-file path=usr/bin/$(ARCH64)/pmadvise mode=0555
-file path=usr/bin/$(ARCH64)/pmap mode=0555
-file path=usr/bin/$(ARCH64)/ppgsz mode=0555
-file path=usr/bin/$(ARCH64)/ppriv mode=0555
-file path=usr/bin/$(ARCH64)/preap mode=0555
-file path=usr/bin/$(ARCH64)/prun mode=0555
-file path=usr/bin/$(ARCH64)/psig mode=0555
-file path=usr/bin/$(ARCH64)/pstack mode=0555
-file path=usr/bin/$(ARCH64)/pstop mode=0555
-file path=usr/bin/$(ARCH64)/ptime mode=0555
-file path=usr/bin/$(ARCH64)/ptree mode=0555
-file path=usr/bin/$(ARCH64)/pwait mode=0555
-file path=usr/bin/$(ARCH64)/pwdx mode=0555
-file path=usr/bin/$(ARCH64)/sort mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pargs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pcred mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pfiles mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pflags mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pldd mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/plgrp mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pmadvise mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pmap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ppgsz mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ppriv mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/preap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prun mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/psig mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pstack mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pstop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ptime mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ptree mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pwait mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pwdx mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/sort mode=0555
 file path=usr/bin/asa mode=0555
 file path=usr/bin/awk mode=0555
 file path=usr/bin/banner mode=0555
@@ -133,9 +134,9 @@
 file path=usr/bin/uudecode group=uucp mode=0555
 file path=usr/bin/uuencode group=uucp mode=0555
 file path=usr/bin/yes mode=0555
-file path=usr/lib/$(ARCH64)/madv.so.1
-file path=usr/lib/$(ARCH64)/mpss.so.1
-file path=usr/lib/adb/$(ARCH64)/adbsub.o group=sys
+$(BUILD64)file path=usr/lib/$(ARCH64)/madv.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/mpss.so.1
+$(BUILD64)file path=usr/lib/adb/$(ARCH64)/adbsub.o group=sys
 file path=usr/lib/adb/adbgen group=sys mode=0755
 file path=usr/lib/adb/adbgen1 group=sys mode=0755
 file path=usr/lib/adb/adbgen3 group=sys mode=0755
--- old/usr/src/pkg/manifests/system-file-system-autofs.mf	2014-04-11 13:24:14.999371579 +0100
+++ new/usr/src/pkg/manifests/system-file-system-autofs.mf	2014-04-11 13:24:15.008036949 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/autofs@$(PKGVERS)
@@ -43,7 +44,7 @@
 dir path=usr/lib/autofs group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/autofs group=sys
-dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -55,7 +56,7 @@
 file path=lib/svc/manifest/system/filesystem/autofs.xml group=sys mode=0444
 file path=lib/svc/method/svc-autofs mode=0555
 file path=usr/lib/autofs/automountd mode=0555
-file path=usr/lib/fs/autofs/$(ARCH64)/libshare_autofs.so.1
+$(BUILD64)file path=usr/lib/fs/autofs/$(ARCH64)/libshare_autofs.so.1
 file path=usr/lib/fs/autofs/automount mode=0555
 file path=usr/lib/fs/autofs/dfshares mode=0555
 file path=usr/lib/fs/autofs/libshare_autofs.so.1
--- old/usr/src/pkg/manifests/system-file-system-smb.mf	2014-04-11 13:24:15.195267814 +0100
+++ new/usr/src/pkg/manifests/system-file-system-smb.mf	2014-04-11 13:24:15.203811706 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/smb@$(PKGVERS)
@@ -46,15 +47,15 @@
 dir path=usr/kernel/kmdb group=sys
 dir path=usr/kernel/kmdb/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/smbfs group=sys
-dir path=usr/lib/fs/smbfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/smbfs/$(ARCH64) group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/lib/smbfs
 dir path=usr/share/man
 dir path=usr/share/man/man1
@@ -75,8 +76,8 @@
 file path=usr/kernel/kmdb/$(ARCH64)/smbfs group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/nsmb group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/smbfs group=sys mode=0555
-file path=usr/lib/$(ARCH64)/libsmbfs.so.1
-file path=usr/lib/fs/smbfs/$(ARCH64)/libshare_smbfs.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmbfs.so.1
+$(BUILD64)file path=usr/lib/fs/smbfs/$(ARCH64)/libshare_smbfs.so.1
 file path=usr/lib/fs/smbfs/dfshares mode=0555
 file path=usr/lib/fs/smbfs/libshare_smbfs.so.1
 file path=usr/lib/fs/smbfs/mount mode=4555
@@ -84,11 +85,11 @@
 file path=usr/lib/fs/smbfs/umount mode=4555
 file path=usr/lib/fs/smbfs/unshare mode=0555
 file path=usr/lib/libsmbfs.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/nsmb.so mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/smbfs.so mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nsmb.so mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/smbfs.so mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/nsmb.so mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/smbfs.so mode=0555
-file path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so.1
 file path=usr/lib/security/pam_smbfs_login.so.1
 file path=usr/lib/smbfs/smbiod mode=0555
 file path=usr/lib/smbfs/smbiod-svc mode=0555
@@ -114,7 +115,7 @@
     license=usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.bsd4
 license usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.microsoft \
     license=usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.microsoft
-link path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so \
     target=pam_smbfs_login.so.1
 link path=usr/lib/security/pam_smbfs_login.so target=pam_smbfs_login.so.1
 link path=usr/share/man/man1m/umount_smbfs.1m target=mount_smbfs.1m
--- old/usr/src/pkg/manifests/system-file-system-zfs-tests.mf	2014-04-11 13:24:15.426537545 +0100
+++ new/usr/src/pkg/manifests/system-file-system-zfs-tests.mf	2014-04-11 13:24:15.433170120 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/zfs/tests@$(PKGVERS)
@@ -36,7 +37,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/include/sys/fs
@@ -45,21 +46,21 @@
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 driver name=zut perms="* 0666 root sys"
 file path=kernel/drv/$(ARCH64)/zut group=sys
 $(i386_ONLY)file path=kernel/drv/zut group=sys
 file path=kernel/drv/zut.conf group=sys
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/zlook mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/ztest mode=0555
-file path=usr/bin/$(ARCH64)/zlook mode=0555
-file path=usr/bin/$(ARCH64)/ztest mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/zlook mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ztest mode=0555
 file path=usr/include/sys/fs/zut.h
 file path=usr/lib/devfsadm/linkmod/SUNW_zut_link.so group=sys
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zhack mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zinject mode=0555
-file path=usr/sbin/$(ARCH64)/zhack mode=0555
-file path=usr/sbin/$(ARCH64)/zinject mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zhack mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zinject mode=0555
 hardlink path=usr/bin/zlook target=../../usr/lib/isaexec
 hardlink path=usr/bin/ztest target=../../usr/lib/isaexec
 hardlink path=usr/sbin/zhack target=../../usr/lib/isaexec
